---
- hosts: MCS
  user: root
  tasks:
  - name: Check docker
    yum: 
      name: docker
      state: installed

  - name: Check Docker status
    systemd:
      name: docker
      state: started

  - name: Check docker-python
    yum:
      name: python-docker-py
      state: installed

  - name: Login GitLab Registry
    docker_login:
      username: "{{ CI_REGISTRY_USER }}"
      password: "{{ CI_REGISTRY_PASSWORD }}"
      registry_url: "{{ CI_REGISTRY }}"
  
  - name: Recreate container with  Web Server
    docker_container:
      name: web
      image: "{{ CI_REGISTRY_IMAGE }}"
      state: started
      pull: yes
      recreate: yes
      published_ports:
      - 80:8080

